Bug 148032 - Fails to automatically mount usb storage stick.
Fails to automatically mount usb storage stick.
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-14 19:18 EST by John-M
Modified: 2015-01-04 17:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:18:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John-M 2005-02-14 19:18:08 EST
Description of problem:

I recently download fedora core 3 on my machine, the original kernel
was 2.6.10-1.667 which worked fine. I than downloaded the newer
version 2.6.10-1.741_FC3. When i reboot into this kernel i have to
boot my usb storage devices manualy, where as in the 2.6.10-1.667
kernel they are mounted automatically, this is also true for the
2.6.10-1.760 version also. 




Version-Release number of selected component (if applicable):


How reproducible:
Update kernel to 2.6.10-1.741_FC3 or 2.6.10-1.760 and it should have
difficulty mounting usb storage devices. 

Steps to Reproduce:
1.Update to 2.6.10-1.741_FC3 kernel
2.reboot
3.Stick in usb storage disk
  
Actual results:
The usb storage stick fails to mount automatically

Expected results:
Should mount usb storage device, and put in on the desktop.

Additional info:

Other usb devices are working fine, such as my wireless mouse.
My Machine is a Packard Bell iPower Laptop, 2.3 GHZ, 512 RAM.
This problem also occured on Dell Laptops.
Comment 1 Thomas Woerner 2005-02-21 05:23:31 EST
Assigning to kernel.
Comment 2 Michael J. Kofler 2005-04-08 11:38:49 EDT
I'm having what appears to be the same problem wih my lexar jumpdrive. Before a
fresh install, it would be automatically mounted as /media/LEXAR_MEDIA and an
icon would appear on the gnome desktop. Now, I can mount it manually, but it
does not automount. It doesn't seem to work for either kernel-2.6.9-1.667 or
kernel-2.6.10-1.770_FC3. My kernel before the fresh install (partition magic
crashed, and with it, the MBR) was, I think, kernel-2.6.9-1.760 (at which time
automounting worked). 
Also: Do I need to submit a new bug, or is my problem the same one as above?
Thanks!
Comment 3 Michael J. Kofler 2005-04-08 20:32:27 EDT
IT also fails to notice my usb printer when i turn it on (like it used to)
Comment 4 Michael J. Kofler 2005-04-09 15:32:25 EDT
I got my usb jump drive to mount automatically by creating a directory
/media/diskonkey and adding a line to /etc/fstab:

/dev/sda1    /media/diskonkey   vfat    rw,user,exec,auto,sync,managed  0 0

Note the 'managed' there on the end.
In the past, hotplug, or hal, or updfstab, or gnome-volume-control, or whichever
one is in charge of automounting these days, would automatically create the
entry, the directory, etc.
I'm not at home, so I don't know if the same work around will automount the
printer - I'll post again with those results later.
Comment 5 Michael J. Kofler 2005-04-09 20:25:49 EDT
Never mind about the printer - that was something I forgot to do. It's just the
usb drive problem.
Comment 6 Kevin Kirkpatrick 2005-05-18 09:28:29 EDT
New linux user here - this was the first bug I ran into (after two weeks - I 
love this OS).  Anyway, when I plug my Kingston DataTraveler memory stick into 
the usb slot, automount works perfectly (icon appears in "Computer" alongside 
filesystem, cddrive, etc.) - but only the first time I use it.  If I umount (via 
the GUI), take the stick out, and plug it back in, the automount fails to re-
detect the drive.  Anyway, here's the dmesg dump for the original mount, 
subsequent dismount, and failed second mount:
***********************
usb 1-3: new high speed USB device using ehci_hcd and address 3
SCSI subsystem initialized
Initializing USB Mass Storage driver...
scsi0 : SCSI emulation for USB Mass Storage devices
usb-storage: device found at 3
usb-storage: waiting for device to settle before scanning
usbcore: registered new driver usb-storage
USB Mass Storage support registered.
  Vendor: Kingston  Model: DataTraveler 2.0  Rev: 6.00
  Type:   Direct-Access                      ANSI SCSI revision: 02
usb-storage: device scan complete
SCSI device sda: 1001472 512-byte hdwr sectors (513 MB)
sda: Write Protect is off
sda: Mode Sense: 0b 00 00 08
sda: assuming drive cache: write through
SCSI device sda: 1001472 512-byte hdwr sectors (513 MB)
sda: Write Protect is off
sda: Mode Sense: 0b 00 00 08
sda: assuming drive cache: write through
 sda: sda1
Attached scsi removable disk sda at scsi0, channel 0, id 0, lun 0
SELinux: initialized (dev sda1, type vfat), uses genfs_contexts
***************************************************
usb 1-3: USB disconnect, address 3

***************************************************
usb 1-3: new high speed USB device using ehci_hcd and address 4
scsi1 : SCSI emulation for USB Mass Storage devices
usb-storage: device found at 4
usb-storage: waiting for device to settle before scanning
  Vendor: Kingston  Model: DataTraveler 2.0  Rev: 6.00
  Type:   Direct-Access                      ANSI SCSI revision: 02
SCSI device sda: 1001472 512-byte hdwr sectors (513 MB)
sda: Write Protect is off
sda: Mode Sense: 0b 00 00 08
sda: assuming drive cache: write through
SCSI device sda: 1001472 512-byte hdwr sectors (513 MB)
sda: Write Protect is off
sda: Mode Sense: 0b 00 00 08
sda: assuming drive cache: write through
 sda: sda1
Attached scsi removable disk sda at scsi1, channel 0, id 0, lun 0
usb-storage: device scan complete


Thanks for looking into this!
Comment 7 Dave Jones 2005-07-15 13:50:31 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 8 Dave Jones 2005-10-02 20:18:42 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.